Attribute VB_Name = "modGlobals"
Option Explicit

Public DMXCHelper As IPluginHelper

'INI System Funktionen
Private Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationname As String, ByVal lpKeyName As Any, ByVal lsString As String, ByVal lplFilename As String) As Long
Private Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationname As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long

Public Function GetIniFilename() As String
    'Projektname + .Leistungsanzeige
    'TODO: berprfung ob BaseFilename = Leer
    GetIniFilename = DMXCHelper.Project.BaseFilename & ".DMXJoystick"
End Function

Public Function FileExists(File As String) As Boolean
    On Error Resume Next
    FileExists = False
    FileExists = Dir(File) <> ""
End Function

Public Sub SaveIni(ByVal filename As String, ByVal Key As String, ByVal Setting As String, ByVal value As Variant)
    Call WritePrivateProfileString(Key, Setting, value, filename)
End Sub

Public Function GetIni(ByVal filename As String, ByVal Key As String, ByVal Setting As String, ByVal Default As Variant) As Variant
    Dim temp As String * 1024

    Call GetPrivateProfileString(Key, Setting, Default, temp, Len(temp), filename)
    GetIni = Mid(temp, 1, InStr(1, temp, Chr(0)) - 1)
End Function
